One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Cancel All Orders
      DELETE
    • Get Orders
      GET
    • Create Order
      POST
    • Cancel Order by Client ID
      DELETE
    • Get Order by Client ID
      GET
    • Cancel Order by Order ID
      DELETE
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
  1. Futures

Funding Schedule

Developing
GET
https://api.onetrading.com/fast/v1/funding-rate/schedule
Returns the funding schedule for futures instruments, sorted alphabetically by instrument code.
FIXED_INTERVAL instruments (e.g. crypto perpetuals) fund at the end of each fixed period, shifted by the instrument's market offset. Only next_funding_time is given; sessions is null.
SESSION_BASED instruments (equity futures) fund only during NASDAQ cash-session hours. sessions lists the upcoming sessions with their concrete funding periods, which vary with early closes and holidays.
An instrument code is the id property from the Instruments endpoint.
Funding is only available for futures markets.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/funding-rate/schedule?instrument_code=BTC_USD_P&days=2' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "instrument_code": "NVDA_USD_P",
    "funding_schedule": {
        "type": "SESSION_BASED",
        "calendar": "NASDAQ",
        "max_periods_per_day": 2,
        "split": "SESSION_MIDPOINT"
    },
    "next_funding_time": "2026-09-28T16:45:00.000Z",
    "sessions": [
        {
            "date": "2026-09-28",
            "periods": [
                {
                    "period_number": 1,
                    "start": "2026-09-28T13:30:00.000Z",
                    "end": "2026-09-28T16:45:00.000Z",
                    "duration_minutes": 195
                },
                {
                    "period_number": 2,
                    "start": "2026-09-28T16:45:00.000Z",
                    "end": "2026-09-28T20:00:00.000Z",
                    "duration_minutes": 195
                }
            ]
        }
    ]
}
Previous
Funding Rate History
Next
Currencies
Built with